Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec/Functions.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Pod-PseudoPod-LaTeX
Version:        1.20110710
Release:        alt1_13
Summary:        Pod::PseudoPod::LaTeX Perl module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-PseudoPod-LaTeX
Source0:        https://cpan.metacpan.org/modules/by-module/Pod/Pod-PseudoPod-LaTeX-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl(IO/String.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Pod/PseudoPod.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Pod/PseudoPod.pm) >= 0.150

# The patch changes 'Verbatim' to 'verbatim' in:
#   lib/Pod/PseudoPod/LaTeX.pm
#   t/sections.t
#
# In the test files the patch changes  '{' to '\}'  and  '}' to '\}'
# to eliminate warnings.
#   patching file t/sections.t
#   patching file t/emit_environments.t
#   patching file t/environments.t
#   patching file t/escapes.t
#   patching file t/translations.t
#
# The patch is sent to upstream via email
Patch0:         Pod-PseudoPod-LaTeX-1.20110710.patch
Source44: import.info

%description
This module is a Pod::PseudoPod subclass, itself a Pod::Simple subclass. This
means that this is a full-fledged POD parser.

%prep
%setup -q -n Pod-PseudoPod-LaTeX-%{version}
%patch0

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} $RPM_BUILD_ROOT%{_bindir}/ppod2latex

%check
make test

%files
%doc Changes dist.ini LICENSE README
%{perl_vendor_privlib}/*
%{_bindir}/ppod2latex

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_13
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_12
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_11
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_10
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_9
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_8
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_7
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_6
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_5
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_3
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 1.20110710-alt1_1
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2_14
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2_13
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2_12
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2_11
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2_9
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2_7
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.000-alt1_7
- fc import

